# Uses of Class
com.ngrok.definitions.HttpResponseBackend

Packages that use HttpResponseBackend
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of HttpResponseBackend in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type HttpResponseBackend
  Modifier and Type
  Method
  Description
  `List<HttpResponseBackend>`
  HttpResponseBackendList.`getBackends()`
  Fetches the value of the `backends` property.
  Constructor parameters in com.ngrok.definitions with type arguments of type HttpResponseBackend
  Modifier
  Constructor
  Description
  ``
  `HttpResponseBackendList(List<HttpResponseBackend> backends, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `HttpResponseBackendList`.

- ## Uses of HttpResponseBackend in com.ngrok.services

  Methods in com.ngrok.services that return HttpResponseBackend
  Modifier and Type
  Method
  Description
  `HttpResponseBackend`
  HttpResponseBackends.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `HttpResponseBackend`
  HttpResponseBackends.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `HttpResponseBackend`
  HttpResponseBackends.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type HttpResponseBackend
  Modifier and Type
  Method
  Description
  `CompletionStage<HttpResponseBackend>`
  HttpResponseBackends.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<HttpResponseBackend>`
  HttpResponseBackends.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<HttpResponseBackend>`
  HttpResponseBackends.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.